Subject: bug#28801: 26.0.90; Document after-make-frame-functions, focus-in-hook in Startup Summary node

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 Oct 2017 11:40:48 +0300

> Cc: Rob Davenport <[email-masked]>, [email-masked], [email-masked]
> From: Kaushal Modi <[email-masked]>
> Date: Thu, 12 Oct 2017 21:30:51 +0000
> 
> I have read through (elisp) Startup Summary, but it does not reference after-make-frame-functions and its
> caveat with emacsclient. It also does not reference focus-in-hook.
> 
> I believe having that information in that section will be very valuable to other users using emacsclient in GUI
> frame.

These hooks are not related to startup, so I don't see why they should
be described in that section.  They would be out of place there, and
the resulting discoverability will be low.

There is a separate section that describes all of the hooks, and I
usually look there when I need some hook, but don't know which one to
use.

There could be a place for a new section in the Emacs manual regarding
customizations for people who start Emacs as a daemon.  Patches to
that effect are welcome from people who have experience using and
customizing Emacs in that mode.